package com.muchinfo.mtp3interface.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.muchinfo.mtp3pojos.entity.CptradePresalegoodsex;
import com.muchinfo.mtp3pojos.vo.presale.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 产能预售商品扩展表 Mapper 接口
 * </p>
 *
 * @author XKF
 * @since 2024-11-11
 */
@Mapper
public interface ICptradePresalegoodsexMapper extends BaseMapper<CptradePresalegoodsex> {

    IPage<PresaleQueryResult> query(IPage<PresaleQueryResult> page, @Param("vo") PresaleQueryParam param);

    List<PresaleQueryResult> query(@Param("vo") PresaleQueryParam param);

    PresaleQueryDetailResult view(@Param("applyid") String applyid);

    List<PresalePresaleLotteryResult> viewPresaleLottery(@Param("goodsid") Long goodsid);

    List<PresaleFinishResult> viewfinsh(@Param("goodsid") Long goodsid);

    List<PresaleFinishInitAddResult> queryUserList(@Param("goodsid") Long userid);

    IPage<PresaleApplyResult> queryApply(IPage<PresaleApplyResult> page,@Param("vo") PresaleApplyParam param);

    List<PresaleApplyResult> queryApply(@Param("vo") PresaleApplyParam param);
}
